FROM oven/bun:latest

# copy files
COPY *.js .
COPY *.html .
COPY *.geojson .
COPY package.json .

COPY public public

RUN bun install

EXPOSE 80

# remove root perms
RUN useradd -u 8877 barman
USER barman

CMD bun run start